<?php

/**
 * Footer
 */

Preferred_Magazine_Kirki::add_panel('footer_panel', array(

    'title' => esc_html__('Footer', 'preferred-magazine'),

    'description' => esc_html__('Footer General Settings', 'preferred-magazine'),

    'priority' => 80,

));

// Footer Layout

Preferred_Magazine_Kirki::add_section('footer_layout_section', array(

    'title' => esc_html__('Footer Layout', 'preferred-magazine'),

    'panel' => 'footer_panel',

    'priority' => 10,

));

// Footer Columns

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'footer_columns',

    'label' => __('Number of columns', 'preferred-magazine'),

    'section' => 'footer_layout_section',

    'default' => 'three',

    'priority' => 10,

    'multiple' => 1,

    'choices' => array(

        'two' => esc_html__('Two', 'preferred-magazine'),

        'three' => esc_html__('Three', 'preferred-magazine'),

        'four' => esc_html__('Four', 'preferred-magazine'),

    ),

));

// Footer Design

Preferred_Magazine_Kirki::add_section('footer_design', array(

    'title' => esc_html__('Footer Design', 'preferred-magazine'),

    'panel' => 'footer_panel',

    'priority' => 15,

));

// Footer Background Color

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'color',

    'settings' => 'footer_bg',

    'label' => __('Footer Background Color', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => '#30373b',

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer',

            'property' => 'background-color',

        ),

    ),

));

// Footer Title Color

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'color',

    'settings' => 'footer_title_color',

    'label' => __('Footer Title Color', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => '#fff',

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer .footer-widget-title',

            'property' => 'color',

        ),

    ),

));

// Footer Text Color

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'color',

    'settings' => 'footer_text_color',

    'label' => __('Footer Text Color', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => '#989898',

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer,.site-footer a',

            'property' => 'color',

        ),

    ),

));

// Footer Title Font Size

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'footer_title_font_size',

    'label' => esc_html__('Footer Heading Size', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => 20,

    'choices' => array(

        'min' => '12',

        'max' => '60',

        'step' => '1',

    ),

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer .footer-widget-title',

            'property' => 'font-size',

            'units' => 'px',

        ),

    ),

));

// Footer Text Font Size

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'footer_text_font_size',

    'label' => esc_html__('Footer Text Size', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => 14,

    'choices' => array(

        'min' => '8',

        'max' => '50',

        'step' => '1',

    ),

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer',

            'property' => 'font-size',

            'units' => 'px',

        ),

    ),

));

// Footer Padding Top

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'footer_padding_top',

    'label' => esc_html__('Footer Padding Top', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => 30,

    'choices' => array(

        'min' => '0',

        'max' => '100',

        'step' => '1',

    ),

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer',

            'property' => 'padding-top',

            'units' => 'px',

        ),

    ),

));

// Footer Padding Top

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'footer_padding_bottom',

    'label' => esc_html__('Footer Padding Bottom', 'preferred-magazine'),

    'section' => 'footer_design',

    'default' => 30,

    'choices' => array(

        'min' => '0',

        'max' => '100',

        'step' => '1',

    ),

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-footer',

            'property' => 'padding-bottom',

            'units' => 'px',

        ),

    ),

));

// Footer Copyright

Preferred_Magazine_Kirki::add_section('footer_copyright_section', array(

    'title' => esc_html__('Footer Copy Right', 'preferred-magazine'),

    'panel' => 'footer_panel',

    'priority' => 20,

));

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'text',

    'settings' => 'footer_copyright',

    'label' => esc_html__('Copy Right Text', 'preferred-magazine'),

    'section' => 'footer_copyright_section',

    'default' => 'Preferred Magazine powered by themetim',

    'transport' => 'postMessage',

    'priority' => 10,

    'js_vars' => array(

        array(

            'element' => '.site-info',

            'function' => 'html',

        ),

    )

));