<?php

/**
 * Typography
 */

Preferred_Magazine_Kirki::add_panel('typography_panel', array(

    'priority' => 40,

    'title' => esc_html__('Typography Settings', 'preferred-magazine')

));

// Site Layout Section

Preferred_Magazine_Kirki::add_section('body_typography_section', array(

    'title' => esc_html__('Body Font Family', 'preferred-magazine'),

    'panel' => 'typography_panel',

    'priority' => 10,

));

// Body Typography

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'typography',

    'settings' => 'body_typography',

    'label' => esc_html__('Select Body Font Family', 'preferred-magazine'),

    'section' => 'body_typography_section',

    'transport' => 'auto',

    'default' => array(

        'font-family' => 'Roboto',

        'variant' => '400',

        'font-size' => '14px',

        'line-height' => '1.5',

        'letter-spacing' => '0',

        'color' => '#696969',

        'text-transform' => 'none'

    ),

    'priority' => 10,

    'output' => array(

        array(

            'element' => 'body',

        )

    ),

));

// Site Layout Section

Preferred_Magazine_Kirki::add_section('heading_typography_section', array(

    'title' => esc_html__('Heading Font Family', 'preferred-magazine'),

    'panel' => 'typography_panel',

    'priority' => 10,

));

// Heading Typography

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'typography',

    'settings' => 'heading_typography',

    'label' => esc_html__('Select Heading Font Family', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'transport' => 'auto',

    'default' => array(

        'font-family' => 'Oswald',

        'variant' => '500',

        'color' => '#333333',

        'text-transform' => 'none'

    ),

    'priority' => 10,

    'output' => array(

        array(

            'element' => '.category-filter-wrap a,.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6,.site-branding h1 a,.site-branding h2 a,h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,elementor-widget-wp-widget-woocommerce_products .product-title'

        ),


    ),

));

// H1

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h1',

    'label' => esc_html__('Font size H1', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 26,

    'transport' => 'auto',

    'choices' => array(

        'min' => 16,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h1, h1',

            'property' => 'font-size',

            'units' => 'px',

        ),

    ),

));

// H2

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h2',

    'label' => esc_html__('Font size H2', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 22,

    'transport' => 'auto',

    'choices' => array(

        'min' => 16,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h2, h2,.site-branding h1 a,.site-branding h2 a',

            'property' => 'font-size',

            'units' => 'px',

        ),

    ),

));

// H3

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h3',

    'label' => esc_html__('Font size H3', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 20,

    'transport' => 'auto',

    'choices' => array(

        'min' => 16,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h3, h3',

            'property' => 'font-size',

            'units' => 'px',

        ),

    )

));

// H4

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h4',

    'label' => esc_html__('Font size H4', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 18,

    'transport' => 'auto',

    'choices' => array(

        'min' => 10,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h4, h4',

            'property' => 'font-size',

            'units' => 'px',

        ),

    )

));

// H5

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h5',

    'label' => esc_html__('Font size H5', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 16,

    'transport' => 'auto',

    'choices' => array(

        'min' => 8,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h5, h5',

            'property' => 'font-size',

            'units' => 'px',

        ),

    )

));

// H6

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'heading_h6',

    'label' => esc_html__('Font size H6', 'preferred-magazine'),

    'section' => 'heading_typography_section',

    'default' => 14,

    'transport' => 'auto',

    'choices' => array(

        'min' => 8,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.h6, h6',

            'property' => 'font-size',

            'units' => 'px',

        ),

    )

));