<?php

/**
 * WooCommerce Settings
 */

Preferred_Magazine_Kirki::add_panel('woocommerce_panel', array(

    'priority' => 50,

    'title' => esc_html__('preferred-magazine : WooCommerce Settings', 'preferred-magazine'),

));

// Product Archive

Preferred_Magazine_Kirki::add_section('product_archive_section', array(

    'title' => esc_html__('Product Archive', 'preferred-magazine'),

    'panel' => 'woocommerce_panel',

    'priority' => 10,

));

// Archive Layout

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'archive_layout',

    'label' => __('Archive Layout', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => 'archive-default',

    'priority' => 10,

    'choices' => array(

        'archive-default' => esc_html__('Default', 'preferred-magazine'),

        'archive-left-sidebar' => esc_html__('Left Sidebar', 'preferred-magazine'),

        'archive-fullwidth' => esc_html__('Full Width ( Pro Version )', 'preferred-magazine'),

    ),

));

// Number of columns

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'archive_product_columns',

    'label' => __('Number of columns', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => '3',

    'priority' => 15,

    'choices' => array(

        '1' => esc_html__('One', 'preferred-magazine'),

        '2' => esc_html__('Two', 'preferred-magazine'),

        '3' => esc_html__('Three', 'preferred-magazine'),

        '4' => esc_html__('Four', 'preferred-magazine'),

    ),

));

// Product Limit A page

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'number',

    'settings' => 'archive_product_number',

    'label' => esc_html__('Number of products on Shop/Archive', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'priority' => 20,

    'default' => 9,

    'choices' => array(

        'min' => 1,

        'max' => 100,

        'step' => 1,

    ),

));

// Hide Product Price

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'archive_hide_price',

    'priority' => 25,

    'label' => esc_html__('Hide Product Price', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => false,

));

// Hide product ratings

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'archive_hide_ratings',

    'priority' => 30,

    'label' => esc_html__('Hide Product Ratings', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => false,

));

// Hide product sorting

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'archive_hide_sorting',

    'priority' => 35,

    'label' => esc_html__('Hide Product Sorting ( Pro Version )', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => false,

));

// Hide product number of results

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'archive_hide_number_of_result',

    'priority' => 40,

    'label' => esc_html__('Hide Product Number of result ( Pro Version )', 'preferred-magazine'),

    'section' => 'product_archive_section',

    'default' => false,

));

// Single Product

Preferred_Magazine_Kirki::add_section('single_product_section', array(

    'title' => esc_html__('Single Product', 'preferred-magazine'),

    'panel' => 'woocommerce_panel',

    'priority' => 20,

));

// Single Product Layout

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'single_product_layout',

    'label' => __('Single Product Layout', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => 'default',

    'priority' => 10,

    'choices' => array(

        'default' => esc_html__('Default', 'preferred-magazine'),

        'left-sidebar' => esc_html__('Left Sidebar', 'preferred-magazine'),

        'full-width' => esc_html__('Full Width ( Pro Version )', 'preferred-magazine'),

    ),

));

// Gallery Style

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'single_product_gallery_layout',

    'label' => __('Gallery Style', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => 'default',

    'priority' => 10,

    'multiple' => 1,

    'choices' => array(

        'default' => esc_html__('Default', 'preferred-magazine'),

        'right' => esc_html__('Thumb Right', 'preferred-magazine'),

        'left' => esc_html__('Thumb Left ( Pro Version )', 'preferred-magazine'),

    ),

));

// Hide Social share

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'single_product_hide_rating',

    'priority' => 20,

    'label' => esc_html__('Hide Product Rating ( Pro Version )', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => false,

));

// Hide Up sells

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'single_product_hide_upsells',

    'priority' => 40,

    'label' => esc_html__('Hide Up Sells Product', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => false,

));

// Hide Related

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'single_product_hide_related',

    'priority' => 50,

    'label' => esc_html__('Hide Related Product ( Pro Version )', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => false,

));

// Hide Social share

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'checkbox',

    'settings' => 'single_product_hide_meta',

    'priority' => 60,

    'label' => esc_html__('Hide Meta', 'preferred-magazine'),

    'section' => 'single_product_section',

    'default' => false,

));